<?xml version="1.0" encoding="UTF-8"?><?xml-stylesheet type='text/xsl' href='_UpgradeReport_Files/UpgradeReport.xslt'?><UpgradeLog>
<Properties><Property Name="Solution" Value="TouchGE_multifinger">
</Property><Property Name="Solution File" Value="D:\work\touchwin\trunk\C#\TouchGE-TUIO\TouchGE_multifinger.sln">
</Property><Property Name="User Options File" Value="D:\work\touchwin\trunk\C#\TouchGE-TUIO\TouchGE_multifinger.suo">
</Property><Property Name="Date" Value="2010年4月26日">
</Property><Property Name="Time" Value="10:03">
</Property></Properties><Event ErrorLevel="0" Project="" Source="TouchGE_multifinger.sln" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\TouchGE_multifinger.sln">
</Event><Event ErrorLevel="0" Project="" Source="TouchGE_multifinger.suo" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\TouchGE_multifinger.suo">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\google_earth_test1.csproj" Description="Project file successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\google_earth_test1.csproj">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\Form1.cs" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\Form1.cs">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\Form1.Designer.cs" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\Form1.Designer.cs">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\OSC.NET\OSCBundle.cs" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\OSC.NET\OSCBundle.cs">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\OSC.NET\OSCMessage.cs" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\OSC.NET\OSCMessage.cs">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\OSC.NET\OSCPacket.cs" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\OSC.NET\OSCPacket.cs">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\OSC.NET\OSCReceiver.cs" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\OSC.NET\OSCReceiver.cs">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\OSC.NET\OSCTransmitter.cs" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\OSC.NET\OSCTransmitter.cs">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\Program.cs" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\Program.cs">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\Properties\AssemblyInfo.cs" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\Properties\AssemblyInfo.cs">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\Properties\Resources.Designer.cs" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\Properties\Resources.Designer.cs">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\Properties\Settings.Designer.cs" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\Properties\Settings.Designer.cs">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\TUIO\TuioClient.cs" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\TUIO\TuioClient.cs">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\TUIO\TuioContainer.cs" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\TUIO\TuioContainer.cs">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\TUIO\TuioCursor.cs" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\TUIO\TuioCursor.cs">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\TUIO\TuioListener.cs" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\TUIO\TuioListener.cs">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\TUIO\TuioObject.cs" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\TUIO\TuioObject.cs">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\TUIO\TuioPoint.cs" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\TUIO\TuioPoint.cs">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\TUIO\TuioTime.cs" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\TUIO\TuioTime.cs">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\WinApi.cs" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\WinApi.cs">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\OSC.NET\.svn\all-wcprops" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\OSC.NET\.svn\all-wcprops">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\OSC.NET\.svn\entries" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\OSC.NET\.svn\entries">
</Event><Event ErrorLevel="2" Project="google_earth_test1" Source="google_earth_test1\OSC.NET\.svn\format" Description="Failed to backup file as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\OSC.NET\.svn\format">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\OSC.NET\.svn\text-base\OSCBundle.cs.svn-base" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\OSC.NET\.svn\text-base\OSCBundle.cs.svn-base">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\OSC.NET\.svn\text-base\OSCMessage.cs.svn-base" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\OSC.NET\.svn\text-base\OSCMessage.cs.svn-base">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\OSC.NET\.svn\text-base\OSCPacket.cs.svn-base" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\OSC.NET\.svn\text-base\OSCPacket.cs.svn-base">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\OSC.NET\.svn\text-base\OSCReceiver.cs.svn-base" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\OSC.NET\.svn\text-base\OSCReceiver.cs.svn-base">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\OSC.NET\.svn\text-base\OSCTransmitter.cs.svn-base" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\OSC.NET\.svn\text-base\OSCTransmitter.cs.svn-base">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\Properties\Settings.settings" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\Properties\Settings.settings">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\TUIO\.svn\all-wcprops" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\TUIO\.svn\all-wcprops">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\TUIO\.svn\entries" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\TUIO\.svn\entries">
</Event><Event ErrorLevel="2" Project="google_earth_test1" Source="google_earth_test1\TUIO\.svn\format" Description="Failed to backup file as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\TUIO\.svn\format">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\TUIO\.svn\text-base\TuioClient.cs.svn-base" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\TUIO\.svn\text-base\TuioClient.cs.svn-base">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\TUIO\.svn\text-base\TuioContainer.cs.svn-base" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\TUIO\.svn\text-base\TuioContainer.cs.svn-base">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\TUIO\.svn\text-base\TuioCursor.cs.svn-base" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\TUIO\.svn\text-base\TuioCursor.cs.svn-base">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\TUIO\.svn\text-base\TuioListener.cs.svn-base" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\TUIO\.svn\text-base\TuioListener.cs.svn-base">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\TUIO\.svn\text-base\TuioObject.cs.svn-base" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\TUIO\.svn\text-base\TuioObject.cs.svn-base">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\TUIO\.svn\text-base\TuioPoint.cs.svn-base" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\TUIO\.svn\text-base\TuioPoint.cs.svn-base">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\TUIO\.svn\text-base\TuioTime.cs.svn-base" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\TUIO\.svn\text-base\TuioTime.cs.svn-base">
</Event><Event ErrorLevel="2" Project="google_earth_test1" Source="google_earth_test1\hotkey_sdk.dll" Description="Failed to backup file as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\hotkey_sdk.dll">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\Form1.resx" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\Form1.resx">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\Properties\Resources.resx" Description="File successfully backed up as D:\work\touchwin\trunk\C#\TouchGE-TUIO\Backup\google_earth_test1\Properties\Resources.resx">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\google_earth_test1.csproj" Description="Project converted successfully">
</Event><Event ErrorLevel="3" Project="google_earth_test1" Source="google_earth_test1\google_earth_test1.csproj" Description="Converted">
</Event><Event ErrorLevel="0" Project="" Source="TouchGE_multifinger.sln" Description="Solution converted successfully">
</Event><Event ErrorLevel="3" Project="" Source="TouchGE_multifinger.sln" Description="Converted">
</Event><Event ErrorLevel="0" Project="google_earth_test1" Source="google_earth_test1\google_earth_test1.csproj" Description="Scan complete: Upgrade not required for project files.">
</Event></UpgradeLog>